"use strict";

import React from "react";
import { observer } from "mobx-react";
import "./fail_challenge.less";
import { Button } from "@grace/ui";
import { PageCtrl } from "@/core/ctrls/PageCtrl";
import { ModalCtrl } from "@/core/ctrls/ModalCtrl";

@observer
class Fail_challenge extends React.Component {
  constructor(props) {
    super(props);
  }

  handleknow = () => {
    ModalCtrl.closeModal();
  };
  render() {
    return (
      <div className="fail_challenge modal_center">
        <span className="ditu"></span>
        <span className="bg"></span>
        <span className="title"></span>
        <span className="tip1">打卡活动时间已结束</span>
        <span className="tip2">打卡失败了！ 下次加油！</span>
        <Button className="know" onClick={this.handleknow} />
        <span className="ribbon"></span>
      </div>
    );
  }
}
export default Fail_challenge;
